%bcond_without check

%global goipath         k8s.io/code-generator
%global forgeurl        https://github.com/kubernetes/code-generator
Version:                1.22.0
%global tag             kubernetes-1.22.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Golang code-generators used to implement Kubernetes-style API types.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md code-of-\\\
                        conduct.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Generators for kube-like API types

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz


%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md code-of-conduct.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.0-1
- initial build
